<div>
  <h2 id="page-heading" data-cy="PpkHeading">
    <span>Ppks</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-ppk"
        [routerLink]="['/ppk/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Ppk</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (ppks?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Ppks found</span>
    </div>
  }

  @if (ppks && ppks.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nomor">
              <div class="d-flex">
                <span>Nomor</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nama">
              <div class="d-flex">
                <span>Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jenis">
              <div class="d-flex">
                <span>Jenis</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggal">
              <div class="d-flex">
                <span>Tanggal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglSk">
              <div class="d-flex">
                <span>Tgl Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nilaiHutangPokok">
              <div class="d-flex">
                <span>Nilai Hutang Pokok</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nilaiPenjaminan">
              <div class="d-flex">
                <span>Nilai Penjaminan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="periodeTenor">
              <div class="d-flex">
                <span>Periode Tenor</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglCicilAwal">
              <div class="d-flex">
                <span>Tgl Cicil Awal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglCicilAkhir">
              <div class="d-flex">
                <span>Tgl Cicil Akhir</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nsbNamaDebitur">
              <div class="d-flex">
                <span>Nsb Nama Debitur</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nsbNama">
              <div class="d-flex">
                <span>Nsb Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nsbJenis">
              <div class="d-flex">
                <span>Nsb Jenis</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="orang.id">
              <div class="d-flex">
                <span>Orang</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="badan.id">
              <div class="d-flex">
                <span>Badan</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (ppk of ppks; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/ppk', ppk.id, 'view']">{{ ppk.id }}</a>
              </td>
              <td>{{ ppk.nomor }}</td>
              <td>{{ ppk.nama }}</td>
              <td>{{ ppk.jenis }}</td>
              <td>{{ ppk.tanggal | formatMediumDate }}</td>
              <td>{{ ppk.tglSk | formatMediumDate }}</td>
              <td>{{ ppk.nilaiHutangPokok }}</td>
              <td>{{ ppk.nilaiPenjaminan }}</td>
              <td>{{ ppk.periodeTenor }}</td>
              <td>{{ ppk.tglCicilAwal | formatMediumDate }}</td>
              <td>{{ ppk.tglCicilAkhir | formatMediumDate }}</td>
              <td>{{ ppk.nsbNamaDebitur }}</td>
              <td>{{ ppk.nsbNama }}</td>
              <td>{{ ppk.nsbJenis }}</td>
              <td>
                @if (ppk.orang) {
                  <div>
                    <a [routerLink]="['/orang', ppk.orang.id, 'view']">{{ ppk.orang.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (ppk.badan) {
                  <div>
                    <a [routerLink]="['/badan', ppk.badan.id, 'view']">{{ ppk.badan.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/ppk', ppk.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/ppk', ppk.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(ppk)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (ppks && ppks.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
